Bug 489976 - ESC: Security Officer Enrollment throws error message GetCoolKeyPolicy() failed.
ESC: Security Officer Enrollment throws error message GetCoolKeyPolicy() failed.
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
unspecified
All Linux
urgent Severity high
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-03-12 14:31 EDT by Asha Akkiangady
Modified: 2015-01-04 18:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for the Error message (117.65 KB, image/jpeg)
2009-03-12 14:36 EDT, Asha Akkiangady
no flags Details
The same error message is thrown during user key is enrollment as well. (148.97 KB, image/jpeg)
2009-03-12 18:47 EDT, Asha Akkiangady
no flags Details

  None (edit)
Description Asha Akkiangady 2009-03-12 14:31:09 EDT
Description of problem:
Security Officer enrollment in Windows vista throws error "coolkey.GetCoolKeyPolicy() failed! undefined(undefined)".

Version-Release number of selected component (if applicable):
CS8.0

How reproducible:


Steps to Reproduce:
1.Enroll a smart card through ESC security officer mode. 
2.
3.
  
Actual results:


Expected results:
Should not throw GetCoolKeyPolicy() failed error message. 

Additional info:
After closing the error message window, the enrollment of smart card is complete.
Comment 1 Asha Akkiangady 2009-03-12 14:36:06 EDT
Created attachment 334991 [details]
Screenshot for the Error message
Comment 2 Asha Akkiangady 2009-03-12 18:47:45 EDT
Created attachment 335027 [details]
The same error message is thrown during user key is enrollment as well.
Comment 3 Jack Magne 2009-03-12 22:02:25 EDT
This should be a pretty easy fix. Both the Security Officer and Security Officer Workstation UI pages use similar Javascript files that can be altered to remove this error.
Comment 4 Jack Magne 2009-03-28 20:39:59 EDT
Index: src/app/xul/esc/chrome/content/esc/ESC.js
===================================================================
RCS file: /cvs/dirsec/esc/src/app/xul/esc/chrome/content/esc/ESC.js,v
retrieving revision 1.21
diff -r1.21 ESC.js

647c666
<     ReportException(getBundleString("errorCoolKeyGetPolicy"), e);
---
>     //ReportException(getBundleString("errorCoolKeyGetPolicy"), e);
Index: src/app/xul/esc/defaults/preferences/esc-prefs.js
Comment 5 Matthew Harmsen 2009-03-28 20:41:01 EDT
Comment #4 +mharmsen
Comment 6 Jack Magne 2009-03-28 20:44:32 EDT
Simple fix checked with the fix for bug#491003.
Comment 7 Asha Akkiangady 2009-05-28 14:49:59 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.